package com.example.androidkonyv.pelda;

        import android.os.Bundle;
        import android.view.View;
        import android.widget.AdapterView;
        import android.widget.ArrayAdapter;
        import android.widget.Button;
        import android.widget.EditText;
        import android.widget.ListView;
        import android.widget.TextView;
        import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {

    private TextView szovegmezo;
    private Button nyomogomb;
    private EditText beviteli_mezo;
    private ListView listadoboz ;
    private ArrayAdapter<String> adapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        final ArrayList<String> sztringlista = new ArrayList<String>();
        sztringlista.add("Anonymus");

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

	//beviteli mez elksztse
        beviteli_mezo = (EditText) findViewById(R.id.mezo);

	//nyomgomb elksztse
        nyomogomb = (Button) findViewById(R.id.gomb);
        nyomogomb.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                szovegmezo.setText("dvzlm, kedves " + beviteli_mezo.getText() + " !");
                adapter.add(beviteli_mezo.getText().toString());
            }
        });

	//szveges mez elksztse
        szovegmezo = (TextView) findViewById(R.id.szoveg);
        szovegmezo.setText("Az alkalmazs sikeresen elindult!");

	//listadoboz elksztse s esemnykezel ltrehozsa
        listadoboz = (ListView) findViewById(R.id.lista);
        adapter = new ArrayAdap-ter<String>(this,android.R.layout.simple_list_item_1, sztringlista);
        listadoboz.setAdapter(adapter);
        adapter.clear();
        adapter.add("alap");
        listadoboz.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long l) {
                String kivalasztott_elem = (String) adapter.getItem(i);
                szovegmezo.setText("dvzlm, kedves " + kivalasztott_elem + " !");
            }
        });
    }
}
