package com.example.androidkonyv.pelda;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.os.Environment;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import static android.os.Environment.getExternalStorageDirectory;

public class MainActivity extends Activity {

    private Button savegomb;
    private Button loadgomb;
    private EditText mezo;
    private String szoveg = null;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

	//szveges mez elksztse
        mezo = (EditText) findViewById(R.id.szoveg);
        mezo.setText("Ide rhat...");

	//nyomgomb elksztse, esemnykezel ltrehozsa
        savegomb = (Button)findViewById(R.id.mentesbutton);
        savegomb.setOnClickListener(new View.OnClickListener() {
        @Override
        public void onClick(View view) {

            String state;
            File file;

            //bert szveg elmentse
            state = Environment.getExternalStorageState();
            if(state.equals(Environment.MEDIA_MOUNTED))
            {
                file = new File(getExternalStorageDirectory(),"szoveg.txt");
                try
                {
                    BufferedWriter out = new BufferedWriter(new FileWriter(file),1024);
                    //out.append(mezo.getText());
                    out.write(String.valueOf(mezo.getText()));
                    out.close();
                }
                catch (IOException t)
                {
                }
            }
            else if (state.equals(Environment.MEDIA_MOUNTED_READ_ONLY))
            {
            }
            else
            {
            }

            mezo.setText("Data saved.");

            };
        });

	//nyomgomb elksztse
        loadgomb = (Button)findViewById(R.id.beolvasasgomb);
        loadgomb.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                String adatok;
                String adatsor;
                String state;
                File file;

                //elmentett szveg visszaolvassa
                state = Environment.getExternalStorageState();
                if(state.equals(Environment.MEDIA_MOUNTED))
                {
                    file = new File(getExternalStorageDirectory(),"szoveg.txt");
                    try
                    {
                        BufferedReader beolvaso = new BufferedReader(new FileReader(file));
                        adatok = beolvaso.readLine();
                        while ((adatsor = beolvaso.readLine()) != null) {
                         adatok += adatsor + "\r\n";
                        }
                        beolvaso.close();
                        mezo.setText(adatok);
                    }
                    catch (IOException t)
                    {
                    }
                }
                else
                {
                }

            };
        });

    }
}
