package com.example.androidkonyv.pelda;

import android.content.Context;
import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import java.util.Timer;
import java.util.TimerTask;
import android.os.Environment;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import static android.os.Environment.getExternalStorageDirectory;

public class MainActivity extends Activity {

    private TextView mezo;
    private String szoveg = null;
    private Timer myTimer;
    private TimerTask timerTask;
    private float longitude;
    private float latitude;
    private naplozo naplo;

    //idzt keretfggvny
    public void TimerMethod()
    {
        this.runOnUiThread(Timer_Tick);
    }

    //idzt mveletei
    public Runnable Timer_Tick = new Runnable()
    {
        public void run()
        {
            mezo.setText("Lat: "+Float.toString(latitude)+"\r\nLong: "
                    +Float.toString(longitude));
            try {
                naplo.kiiras(longitude,latitude);
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

	//naplz osztly pldnyostsa
        naplozo naplo = new naplozo();

	//szveges mez elksztse
        mezo = (TextView) findViewById(R.id.szoveg);

        //Helymeghatrozs elksztse
        LocationManager locationManager =
                (LocationManager) this.getSystemService(Context.LOCATION_SERVICE);

        // Koordintk lekrdezse
        LocationListener locationListener = new LocationListener() {
            public void onLocationChanged(Location location) {
                latitude = (float) location.getLatitude();
                longitude = (float) location.getLongitude();
            }

            public void onStatusChanged(String provider, int status, Bundle extras) {}

            public void onProviderEnabled(String provider) {}

            public void onProviderDisabled(String provider) {}
        };

        // aktivls
        locationManager.requestLocationUpdates
                (LocationManager.GPS_PROVIDER, 0, 0, locationListener);

        myTimer = new Timer();
        timerTask = new TimerTask() {
            public void run() {
                TimerMethod();
            }
        };
        myTimer.schedule(timerTask, 1000, 10000);

    }
}

//naplzst vgz osztly
class naplozo
{
    public static void kiiras(float longitude, float latitude) throws IOException
    {
        String state;
        File file;
        String szoveges_adat;

        szoveges_adat = String.valueOf(longitude)+","+String.valueOf(latitude)+"\r\n";

        state = Environment.getExternalStorageState();
        if(state.equals(Environment.MEDIA_MOUNTED))
        {
            file = new File(getExternalStorageDirectory(),"gps_track.csv");
            try
            {
                BufferedWriter out = new BufferedWriter(new FileWriter(file,true),1024);
                out.append(szoveges_adat);
                //out.write(String.valueOf(mezo.getText()));
                out.close();
            }
            catch (IOException t)
            {
                ;
            }
        }
    }
}
