package com.example.androidkonyv.pelda;

import android.app.Activity;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.os.Bundle;
import android.view.View;
import android.graphics.Color;
import java.util.Random;

public class MainActivity extends Activity {
    private String szoveg = null;
    rajzvaszon rajzlap;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

	//rajzobjektum ltrehozsa s megjelentse
        rajzlap = new rajzvaszon(this);
        rajzlap.setBackgroundColor(Color.BLUE);
        setContentView(rajzlap);
    }
}

//rajzosztly
class rajzvaszon extends View
{
    Paint paint=new Paint();
    int i;
    Random rnd = new Random();
    Path path = new Path();
    Path path2 = new Path();

    //az osztly inicializlsa (konsturktor)
    public rajzvaszon(Context context) {
        super(context);

        rnd.setSeed(600);
    }

    //a tnyleges rajzolsi mveletek
    @Override
    protected void onDraw(Canvas canvas)
    {
	//rajzols elksztse
        super.onDraw(canvas);
        paint.setAntiAlias(true);
        canvas.drawColor(Color.argb(255, 255, 255, 255));

	//pontrajzols
        paint.setColor(Color.parseColor("#000000"));
        for(i=0;i<10000;++i)
        {
            canvas.drawPoint(rnd.nextInt(300),rnd.nextInt(300),paint);
        }

	//kr kirajzolsa
        paint.setColor(Color.parseColor("#CD5C5C"));
        canvas.drawCircle(150,150, 50, paint);

	//vonalrajzols
        paint.setColor(Color.parseColor("#0000ee"));
        paint.setStrokeWidth(8);
        canvas.drawLine(10,10,550,250,paint);

	//szveg kirsa
        paint.setColor(Color.parseColor("#000000"));
        paint.setTextSize(72);
        canvas.drawText("Szveg!", 400, 100, paint);

	//ngyzet kirajzolsa
        paint.setColor(Color.parseColor("#123456"));
        canvas.drawRect(50,250,500,320,paint);

	//poligon kirajzolsa (krvonalas)
        paint.setColor(Color.parseColor("#000000"));
        paint.setStyle(Paint.Style.STROKE);
        paint.setStrokeWidth(10);
        path.moveTo(10,400);
        path.lineTo(20,490);
        path.lineTo(100,550);
        path.lineTo(150,370);
        path.close();
        canvas.drawPath(path,paint);

	//poligon kirajzolsa (kitlttt)
        paint.setColor(Color.parseColor("#000000"));
        paint.setStyle(Paint.Style.FILL);
        path2.moveTo(310,400);
        path2.lineTo(320,490);
        path2.lineTo(400,550);
        path2.lineTo(450,370);
        path2.lineTo(310,400);
        path.close();
        canvas.drawPath(path2,paint);
        paint.setColor(Color.parseColor("#11aa00"));
        paint.setStyle(Paint.Style.STROKE);
        canvas.drawPath(path2,paint);
        //paint.setStyle(Paint.Style.FILL_AND_STROKE);
    }
}
