package com.example.androidkonyv.pelda;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class MainActivity extends Activity {

    private Button gomb;
    private TextView mezo;
    private String szoveg = null;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

	//szveges mez elksztse
        mezo = (TextView) findViewById(R.id.szoveg);
        mezo.setText("Nyomja le a gombot!");

	//nyomgomb elksztse
        gomb = (Button) findViewById(R.id.gomb1);
        gomb.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                //php szkript futtatsa
                new Thread(new Runnable()
                {
                    @Override
                    public void run()
                    {
                        halozat adatlekeres = new halozat();
                        try
                        {
                            szoveg = adatlekeres.lekeres("http://www.met.hu/idojaras/elorejelzes/magyarorszagi_telepulesek/main.php");
                            runOnUiThread(new Runnable() {
                                @Override
                                public void run()
                                {
                                    mezo.setText( szoveg );
                                }
                            });
                        }
                        catch (IOException e)
                        {
                            e.printStackTrace();
                        }
                    }
                }).start();
            }
        });
    }
}

//URL meghvsa s a visszaadott
//kimenet sszegyjtsse
class halozat
{
    public static String lekeres(String url) throws IOException
    {
        StringBuilder sb = new StringBuilder();

	//tvolis kapcsolat felptse s megnyitsa
        URL _url = new URL(url);
        HttpURLConnection httpURLConnection = (HttpURLConnection) _url.openConnection();
        int responseCode = httpURLConnection.getResponseCode();

	//kapcsolat ellenrzse
        if(responseCode == HttpURLConnection.HTTP_OK)
        {
            //kimenet visszaolvassnak elksztse
            InputStreamReader inputStreamReader = new InputStreamReader((httpURLConnection.getInputStream()));
            BufferedReader bufferedReader = new BufferedReader(inputStreamReader);

            //kimenet sszeraksa
            String line;
            while((line = bufferedReader.readLine()) != null)
            {
                sb.append(line);
            }
            try
            {
                bufferedReader.close();
            }
            catch (IOException e)
            {
            }
        }

	//kapcsolat bontsa
        httpURLConnection.disconnect();

        return sb.toString();
    }
}
