package com.example.androidkonyv.pelda;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;
import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import java.util.Timer;
import java.util.TimerTask;

public class MainActivity extends Activity {

    private TextView mezo;
    private String szoveg = null;
    private Timer myTimer;
    private TimerTask timerTask;
    private float longitude;
    private float latitude;

    //idzt keretfggvny
    public void TimerMethod()
    {
        this.runOnUiThread(Timer_Tick);
    }

    //idzt mveletei
    public Runnable Timer_Tick = new Runnable()
    {
        public void run()
        {
            mezo.setText("Lat: "+Float.toString(latitude)+"\r\nLong: "
+Float.toString(longitude));
        }
    };

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

	//szveges mez elksztse
        mezo = (TextView) findViewById(R.id.szoveg);
        mezo.setText("Elkszts...!");

        //Helymeghatroz szolgltats elksztse
        LocationManager locationManager =
(LocationManager) this.getSystemService(Context.LOCATION_SERVICE);

        // Koordintk lekrdezse
        LocationListener locationListener = new LocationListener() {
            public void onLocationChanged(Location location) {
                latitude = (float) location.getLatitude();
                longitude = (float) location.getLongitude();
            }

            public void onStatusChanged(String provider, int status, Bundle extras) {}

            public void onProviderEnabled(String provider) {}

            public void onProviderDisabled(String provider) {}
        };

        // aktivls
        locationManager.requestLocationUpdates
(LocationManager.GPS_PROVIDER, 0, 0, locationListener);

        myTimer = new Timer();
        timerTask = new TimerTask() {
            public void run() {
                TimerMethod();
            }
        };
        myTimer.schedule(timerTask, 1000, 2000);

    }
}
