package com.example.androidkonyv.pelda;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.app.Activity;
import android.graphics.Paint;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;

public class MainActivity extends Activity {

    rajzvaszon rajzlap;

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

	//rajzobjektum elksztse s megjelentse
        rajzlap = new rajzvaszon(this);
        rajzlap.setBackgroundColor(Color.WHITE);
        setContentView(rajzlap);
    }

    //rints esemny kezelse
    @Override
    public boolean onTouchEvent(MotionEvent event)
    {
        if(rajzlap.szamlalo == 200) {rajzlap.szamlalo=0;return false;}
        int x = (int)event.getX();
        int y = (int)event.getY();

        rajzlap.xpos[rajzlap.szamlalo]=x;
        rajzlap.ypos[rajzlap.szamlalo++]=y;
        rajzlap.invalidate();

        return true;
    }
}

//rajzolst vgz osztly
class rajzvaszon extends View
{
    Paint paint=new Paint();
    int[] xpos = new int[200];
    int[] ypos = new int[200];
    int szamlalo;
    int i;

    //inicializls (konstruktor)
    public rajzvaszon(Context context) {
        super(context);
        for(i=0;i<200;++i)
        {
            xpos[i]=0;
            ypos[i]=0;
        }
        szamlalo=0;
    }

    //rajzmveletek
    @Override
    protected void onDraw(Canvas canvas)
    {
        super.onDraw(canvas);

        paint.setAntiAlias(true);
        //canvas.drawColor(Color.argb(255, 255, 255, 255));

        paint.setColor(Color.parseColor("#000000"));
        for(i=0;i<szamlalo;++i)
        canvas.drawCircle(xpos[i],ypos[i], 10, paint);
    }
}
